Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network95.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
95.0.0.0
Broadcast address
95.255.255.255
First usable
95.0.0.1
Last usable
95.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 5F000000 · Integer 1593835520 to 1610612735
Reverse DNS zone
95.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011111..00000000.00000000.0000000095.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01011111..00000000.00000000.0000000095.0.0.0
Broadcast01011111..11111111.11111111.1111111195.255.255.255
Split into smaller subnets/19

95.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
195.0.0.0/1995.0.0.1 to 95.0.31.25495.0.31.2558,190
295.0.32.0/1995.0.32.1 to 95.0.63.25495.0.63.2558,190
395.0.64.0/1995.0.64.1 to 95.0.95.25495.0.95.2558,190
495.0.96.0/1995.0.96.1 to 95.0.127.25495.0.127.2558,190
595.0.128.0/1995.0.128.1 to 95.0.159.25495.0.159.2558,190
695.0.160.0/1995.0.160.1 to 95.0.191.25495.0.191.2558,190
795.0.192.0/1995.0.192.1 to 95.0.223.25495.0.223.2558,190
895.0.224.0/1995.0.224.1 to 95.0.255.25495.0.255.2558,190
995.1.0.0/1995.1.0.1 to 95.1.31.25495.1.31.2558,190
1095.1.32.0/1995.1.32.1 to 95.1.63.25495.1.63.2558,190
1195.1.64.0/1995.1.64.1 to 95.1.95.25495.1.95.2558,190
1295.1.96.0/1995.1.96.1 to 95.1.127.25495.1.127.2558,190
1395.1.128.0/1995.1.128.1 to 95.1.159.25495.1.159.2558,190
1495.1.160.0/1995.1.160.1 to 95.1.191.25495.1.191.2558,190
1595.1.192.0/1995.1.192.1 to 95.1.223.25495.1.223.2558,190
1695.1.224.0/1995.1.224.1 to 95.1.255.25495.1.255.2558,190
1795.2.0.0/1995.2.0.1 to 95.2.31.25495.2.31.2558,190
1895.2.32.0/1995.2.32.1 to 95.2.63.25495.2.63.2558,190
1995.2.64.0/1995.2.64.1 to 95.2.95.25495.2.95.2558,190
2095.2.96.0/1995.2.96.1 to 95.2.127.25495.2.127.2558,190
2195.2.128.0/1995.2.128.1 to 95.2.159.25495.2.159.2558,190
2295.2.160.0/1995.2.160.1 to 95.2.191.25495.2.191.2558,190
2395.2.192.0/1995.2.192.1 to 95.2.223.25495.2.223.2558,190
2495.2.224.0/1995.2.224.1 to 95.2.255.25495.2.255.2558,190
2595.3.0.0/1995.3.0.1 to 95.3.31.25495.3.31.2558,190
2695.3.32.0/1995.3.32.1 to 95.3.63.25495.3.63.2558,190
2795.3.64.0/1995.3.64.1 to 95.3.95.25495.3.95.2558,190
2895.3.96.0/1995.3.96.1 to 95.3.127.25495.3.127.2558,190
2995.3.128.0/1995.3.128.1 to 95.3.159.25495.3.159.2558,190
3095.3.160.0/1995.3.160.1 to 95.3.191.25495.3.191.2558,190
3195.3.192.0/1995.3.192.1 to 95.3.223.25495.3.223.2558,190
3295.3.224.0/1995.3.224.1 to 95.3.255.25495.3.255.2558,190
3395.4.0.0/1995.4.0.1 to 95.4.31.25495.4.31.2558,190
3495.4.32.0/1995.4.32.1 to 95.4.63.25495.4.63.2558,190
3595.4.64.0/1995.4.64.1 to 95.4.95.25495.4.95.2558,190
3695.4.96.0/1995.4.96.1 to 95.4.127.25495.4.127.2558,190
3795.4.128.0/1995.4.128.1 to 95.4.159.25495.4.159.2558,190
3895.4.160.0/1995.4.160.1 to 95.4.191.25495.4.191.2558,190
3995.4.192.0/1995.4.192.1 to 95.4.223.25495.4.223.2558,190
4095.4.224.0/1995.4.224.1 to 95.4.255.25495.4.255.2558,190
4195.5.0.0/1995.5.0.1 to 95.5.31.25495.5.31.2558,190
4295.5.32.0/1995.5.32.1 to 95.5.63.25495.5.63.2558,190
4395.5.64.0/1995.5.64.1 to 95.5.95.25495.5.95.2558,190
4495.5.96.0/1995.5.96.1 to 95.5.127.25495.5.127.2558,190
4595.5.128.0/1995.5.128.1 to 95.5.159.25495.5.159.2558,190
4695.5.160.0/1995.5.160.1 to 95.5.191.25495.5.191.2558,190
4795.5.192.0/1995.5.192.1 to 95.5.223.25495.5.223.2558,190
4895.5.224.0/1995.5.224.1 to 95.5.255.25495.5.255.2558,190
4995.6.0.0/1995.6.0.1 to 95.6.31.25495.6.31.2558,190
5095.6.32.0/1995.6.32.1 to 95.6.63.25495.6.63.2558,190
5195.6.64.0/1995.6.64.1 to 95.6.95.25495.6.95.2558,190
5295.6.96.0/1995.6.96.1 to 95.6.127.25495.6.127.2558,190
5395.6.128.0/1995.6.128.1 to 95.6.159.25495.6.159.2558,190
5495.6.160.0/1995.6.160.1 to 95.6.191.25495.6.191.2558,190
5595.6.192.0/1995.6.192.1 to 95.6.223.25495.6.223.2558,190
5695.6.224.0/1995.6.224.1 to 95.6.255.25495.6.255.2558,190
5795.7.0.0/1995.7.0.1 to 95.7.31.25495.7.31.2558,190
5895.7.32.0/1995.7.32.1 to 95.7.63.25495.7.63.2558,190
5995.7.64.0/1995.7.64.1 to 95.7.95.25495.7.95.2558,190
6095.7.96.0/1995.7.96.1 to 95.7.127.25495.7.127.2558,190
6195.7.128.0/1995.7.128.1 to 95.7.159.25495.7.159.2558,190
6295.7.160.0/1995.7.160.1 to 95.7.191.25495.7.191.2558,190
6395.7.192.0/1995.7.192.1 to 95.7.223.25495.7.223.2558,190
6495.7.224.0/1995.7.224.1 to 95.7.255.25495.7.255.2558,190
6595.8.0.0/1995.8.0.1 to 95.8.31.25495.8.31.2558,190
6695.8.32.0/1995.8.32.1 to 95.8.63.25495.8.63.2558,190
6795.8.64.0/1995.8.64.1 to 95.8.95.25495.8.95.2558,190
6895.8.96.0/1995.8.96.1 to 95.8.127.25495.8.127.2558,190
6995.8.128.0/1995.8.128.1 to 95.8.159.25495.8.159.2558,190
7095.8.160.0/1995.8.160.1 to 95.8.191.25495.8.191.2558,190
7195.8.192.0/1995.8.192.1 to 95.8.223.25495.8.223.2558,190
7295.8.224.0/1995.8.224.1 to 95.8.255.25495.8.255.2558,190
7395.9.0.0/1995.9.0.1 to 95.9.31.25495.9.31.2558,190
7495.9.32.0/1995.9.32.1 to 95.9.63.25495.9.63.2558,190
7595.9.64.0/1995.9.64.1 to 95.9.95.25495.9.95.2558,190
7695.9.96.0/1995.9.96.1 to 95.9.127.25495.9.127.2558,190
7795.9.128.0/1995.9.128.1 to 95.9.159.25495.9.159.2558,190
7895.9.160.0/1995.9.160.1 to 95.9.191.25495.9.191.2558,190
7995.9.192.0/1995.9.192.1 to 95.9.223.25495.9.223.2558,190
8095.9.224.0/1995.9.224.1 to 95.9.255.25495.9.255.2558,190
8195.10.0.0/1995.10.0.1 to 95.10.31.25495.10.31.2558,190
8295.10.32.0/1995.10.32.1 to 95.10.63.25495.10.63.2558,190
8395.10.64.0/1995.10.64.1 to 95.10.95.25495.10.95.2558,190
8495.10.96.0/1995.10.96.1 to 95.10.127.25495.10.127.2558,190
8595.10.128.0/1995.10.128.1 to 95.10.159.25495.10.159.2558,190
8695.10.160.0/1995.10.160.1 to 95.10.191.25495.10.191.2558,190
8795.10.192.0/1995.10.192.1 to 95.10.223.25495.10.223.2558,190
8895.10.224.0/1995.10.224.1 to 95.10.255.25495.10.255.2558,190
8995.11.0.0/1995.11.0.1 to 95.11.31.25495.11.31.2558,190
9095.11.32.0/1995.11.32.1 to 95.11.63.25495.11.63.2558,190
9195.11.64.0/1995.11.64.1 to 95.11.95.25495.11.95.2558,190
9295.11.96.0/1995.11.96.1 to 95.11.127.25495.11.127.2558,190
9395.11.128.0/1995.11.128.1 to 95.11.159.25495.11.159.2558,190
9495.11.160.0/1995.11.160.1 to 95.11.191.25495.11.191.2558,190
9595.11.192.0/1995.11.192.1 to 95.11.223.25495.11.223.2558,190
9695.11.224.0/1995.11.224.1 to 95.11.255.25495.11.255.2558,190
9795.12.0.0/1995.12.0.1 to 95.12.31.25495.12.31.2558,190
9895.12.32.0/1995.12.32.1 to 95.12.63.25495.12.63.2558,190
9995.12.64.0/1995.12.64.1 to 95.12.95.25495.12.95.2558,190
10095.12.96.0/1995.12.96.1 to 95.12.127.25495.12.127.2558,190
10195.12.128.0/1995.12.128.1 to 95.12.159.25495.12.159.2558,190
10295.12.160.0/1995.12.160.1 to 95.12.191.25495.12.191.2558,190
10395.12.192.0/1995.12.192.1 to 95.12.223.25495.12.223.2558,190
10495.12.224.0/1995.12.224.1 to 95.12.255.25495.12.255.2558,190
10595.13.0.0/1995.13.0.1 to 95.13.31.25495.13.31.2558,190
10695.13.32.0/1995.13.32.1 to 95.13.63.25495.13.63.2558,190
10795.13.64.0/1995.13.64.1 to 95.13.95.25495.13.95.2558,190
10895.13.96.0/1995.13.96.1 to 95.13.127.25495.13.127.2558,190
10995.13.128.0/1995.13.128.1 to 95.13.159.25495.13.159.2558,190
11095.13.160.0/1995.13.160.1 to 95.13.191.25495.13.191.2558,190
11195.13.192.0/1995.13.192.1 to 95.13.223.25495.13.223.2558,190
11295.13.224.0/1995.13.224.1 to 95.13.255.25495.13.255.2558,190
11395.14.0.0/1995.14.0.1 to 95.14.31.25495.14.31.2558,190
11495.14.32.0/1995.14.32.1 to 95.14.63.25495.14.63.2558,190
11595.14.64.0/1995.14.64.1 to 95.14.95.25495.14.95.2558,190
11695.14.96.0/1995.14.96.1 to 95.14.127.25495.14.127.2558,190
11795.14.128.0/1995.14.128.1 to 95.14.159.25495.14.159.2558,190
11895.14.160.0/1995.14.160.1 to 95.14.191.25495.14.191.2558,190
11995.14.192.0/1995.14.192.1 to 95.14.223.25495.14.223.2558,190
12095.14.224.0/1995.14.224.1 to 95.14.255.25495.14.255.2558,190
12195.15.0.0/1995.15.0.1 to 95.15.31.25495.15.31.2558,190
12295.15.32.0/1995.15.32.1 to 95.15.63.25495.15.63.2558,190
12395.15.64.0/1995.15.64.1 to 95.15.95.25495.15.95.2558,190
12495.15.96.0/1995.15.96.1 to 95.15.127.25495.15.127.2558,190
12595.15.128.0/1995.15.128.1 to 95.15.159.25495.15.159.2558,190
12695.15.160.0/1995.15.160.1 to 95.15.191.25495.15.191.2558,190
12795.15.192.0/1995.15.192.1 to 95.15.223.25495.15.223.2558,190
12895.15.224.0/1995.15.224.1 to 95.15.255.25495.15.255.2558,190
12995.16.0.0/1995.16.0.1 to 95.16.31.25495.16.31.2558,190
13095.16.32.0/1995.16.32.1 to 95.16.63.25495.16.63.2558,190
13195.16.64.0/1995.16.64.1 to 95.16.95.25495.16.95.2558,190
13295.16.96.0/1995.16.96.1 to 95.16.127.25495.16.127.2558,190
13395.16.128.0/1995.16.128.1 to 95.16.159.25495.16.159.2558,190
13495.16.160.0/1995.16.160.1 to 95.16.191.25495.16.191.2558,190
13595.16.192.0/1995.16.192.1 to 95.16.223.25495.16.223.2558,190
13695.16.224.0/1995.16.224.1 to 95.16.255.25495.16.255.2558,190
13795.17.0.0/1995.17.0.1 to 95.17.31.25495.17.31.2558,190
13895.17.32.0/1995.17.32.1 to 95.17.63.25495.17.63.2558,190
13995.17.64.0/1995.17.64.1 to 95.17.95.25495.17.95.2558,190
14095.17.96.0/1995.17.96.1 to 95.17.127.25495.17.127.2558,190
14195.17.128.0/1995.17.128.1 to 95.17.159.25495.17.159.2558,190
14295.17.160.0/1995.17.160.1 to 95.17.191.25495.17.191.2558,190
14395.17.192.0/1995.17.192.1 to 95.17.223.25495.17.223.2558,190
14495.17.224.0/1995.17.224.1 to 95.17.255.25495.17.255.2558,190
14595.18.0.0/1995.18.0.1 to 95.18.31.25495.18.31.2558,190
14695.18.32.0/1995.18.32.1 to 95.18.63.25495.18.63.2558,190
14795.18.64.0/1995.18.64.1 to 95.18.95.25495.18.95.2558,190
14895.18.96.0/1995.18.96.1 to 95.18.127.25495.18.127.2558,190
14995.18.128.0/1995.18.128.1 to 95.18.159.25495.18.159.2558,190
15095.18.160.0/1995.18.160.1 to 95.18.191.25495.18.191.2558,190
15195.18.192.0/1995.18.192.1 to 95.18.223.25495.18.223.2558,190
15295.18.224.0/1995.18.224.1 to 95.18.255.25495.18.255.2558,190
15395.19.0.0/1995.19.0.1 to 95.19.31.25495.19.31.2558,190
15495.19.32.0/1995.19.32.1 to 95.19.63.25495.19.63.2558,190
15595.19.64.0/1995.19.64.1 to 95.19.95.25495.19.95.2558,190
15695.19.96.0/1995.19.96.1 to 95.19.127.25495.19.127.2558,190
15795.19.128.0/1995.19.128.1 to 95.19.159.25495.19.159.2558,190
15895.19.160.0/1995.19.160.1 to 95.19.191.25495.19.191.2558,190
15995.19.192.0/1995.19.192.1 to 95.19.223.25495.19.223.2558,190
16095.19.224.0/1995.19.224.1 to 95.19.255.25495.19.255.2558,190
16195.20.0.0/1995.20.0.1 to 95.20.31.25495.20.31.2558,190
16295.20.32.0/1995.20.32.1 to 95.20.63.25495.20.63.2558,190
16395.20.64.0/1995.20.64.1 to 95.20.95.25495.20.95.2558,190
16495.20.96.0/1995.20.96.1 to 95.20.127.25495.20.127.2558,190
16595.20.128.0/1995.20.128.1 to 95.20.159.25495.20.159.2558,190
16695.20.160.0/1995.20.160.1 to 95.20.191.25495.20.191.2558,190
16795.20.192.0/1995.20.192.1 to 95.20.223.25495.20.223.2558,190
16895.20.224.0/1995.20.224.1 to 95.20.255.25495.20.255.2558,190
16995.21.0.0/1995.21.0.1 to 95.21.31.25495.21.31.2558,190
17095.21.32.0/1995.21.32.1 to 95.21.63.25495.21.63.2558,190
17195.21.64.0/1995.21.64.1 to 95.21.95.25495.21.95.2558,190
17295.21.96.0/1995.21.96.1 to 95.21.127.25495.21.127.2558,190
17395.21.128.0/1995.21.128.1 to 95.21.159.25495.21.159.2558,190
17495.21.160.0/1995.21.160.1 to 95.21.191.25495.21.191.2558,190
17595.21.192.0/1995.21.192.1 to 95.21.223.25495.21.223.2558,190
17695.21.224.0/1995.21.224.1 to 95.21.255.25495.21.255.2558,190
17795.22.0.0/1995.22.0.1 to 95.22.31.25495.22.31.2558,190
17895.22.32.0/1995.22.32.1 to 95.22.63.25495.22.63.2558,190
17995.22.64.0/1995.22.64.1 to 95.22.95.25495.22.95.2558,190
18095.22.96.0/1995.22.96.1 to 95.22.127.25495.22.127.2558,190
18195.22.128.0/1995.22.128.1 to 95.22.159.25495.22.159.2558,190
18295.22.160.0/1995.22.160.1 to 95.22.191.25495.22.191.2558,190
18395.22.192.0/1995.22.192.1 to 95.22.223.25495.22.223.2558,190
18495.22.224.0/1995.22.224.1 to 95.22.255.25495.22.255.2558,190
18595.23.0.0/1995.23.0.1 to 95.23.31.25495.23.31.2558,190
18695.23.32.0/1995.23.32.1 to 95.23.63.25495.23.63.2558,190
18795.23.64.0/1995.23.64.1 to 95.23.95.25495.23.95.2558,190
18895.23.96.0/1995.23.96.1 to 95.23.127.25495.23.127.2558,190
18995.23.128.0/1995.23.128.1 to 95.23.159.25495.23.159.2558,190
19095.23.160.0/1995.23.160.1 to 95.23.191.25495.23.191.2558,190
19195.23.192.0/1995.23.192.1 to 95.23.223.25495.23.223.2558,190
19295.23.224.0/1995.23.224.1 to 95.23.255.25495.23.255.2558,190
19395.24.0.0/1995.24.0.1 to 95.24.31.25495.24.31.2558,190
19495.24.32.0/1995.24.32.1 to 95.24.63.25495.24.63.2558,190
19595.24.64.0/1995.24.64.1 to 95.24.95.25495.24.95.2558,190
19695.24.96.0/1995.24.96.1 to 95.24.127.25495.24.127.2558,190
19795.24.128.0/1995.24.128.1 to 95.24.159.25495.24.159.2558,190
19895.24.160.0/1995.24.160.1 to 95.24.191.25495.24.191.2558,190
19995.24.192.0/1995.24.192.1 to 95.24.223.25495.24.223.2558,190
20095.24.224.0/1995.24.224.1 to 95.24.255.25495.24.255.2558,190
20195.25.0.0/1995.25.0.1 to 95.25.31.25495.25.31.2558,190
20295.25.32.0/1995.25.32.1 to 95.25.63.25495.25.63.2558,190
20395.25.64.0/1995.25.64.1 to 95.25.95.25495.25.95.2558,190
20495.25.96.0/1995.25.96.1 to 95.25.127.25495.25.127.2558,190
20595.25.128.0/1995.25.128.1 to 95.25.159.25495.25.159.2558,190
20695.25.160.0/1995.25.160.1 to 95.25.191.25495.25.191.2558,190
20795.25.192.0/1995.25.192.1 to 95.25.223.25495.25.223.2558,190
20895.25.224.0/1995.25.224.1 to 95.25.255.25495.25.255.2558,190
20995.26.0.0/1995.26.0.1 to 95.26.31.25495.26.31.2558,190
21095.26.32.0/1995.26.32.1 to 95.26.63.25495.26.63.2558,190
21195.26.64.0/1995.26.64.1 to 95.26.95.25495.26.95.2558,190
21295.26.96.0/1995.26.96.1 to 95.26.127.25495.26.127.2558,190
21395.26.128.0/1995.26.128.1 to 95.26.159.25495.26.159.2558,190
21495.26.160.0/1995.26.160.1 to 95.26.191.25495.26.191.2558,190
21595.26.192.0/1995.26.192.1 to 95.26.223.25495.26.223.2558,190
21695.26.224.0/1995.26.224.1 to 95.26.255.25495.26.255.2558,190
21795.27.0.0/1995.27.0.1 to 95.27.31.25495.27.31.2558,190
21895.27.32.0/1995.27.32.1 to 95.27.63.25495.27.63.2558,190
21995.27.64.0/1995.27.64.1 to 95.27.95.25495.27.95.2558,190
22095.27.96.0/1995.27.96.1 to 95.27.127.25495.27.127.2558,190
22195.27.128.0/1995.27.128.1 to 95.27.159.25495.27.159.2558,190
22295.27.160.0/1995.27.160.1 to 95.27.191.25495.27.191.2558,190
22395.27.192.0/1995.27.192.1 to 95.27.223.25495.27.223.2558,190
22495.27.224.0/1995.27.224.1 to 95.27.255.25495.27.255.2558,190
22595.28.0.0/1995.28.0.1 to 95.28.31.25495.28.31.2558,190
22695.28.32.0/1995.28.32.1 to 95.28.63.25495.28.63.2558,190
22795.28.64.0/1995.28.64.1 to 95.28.95.25495.28.95.2558,190
22895.28.96.0/1995.28.96.1 to 95.28.127.25495.28.127.2558,190
22995.28.128.0/1995.28.128.1 to 95.28.159.25495.28.159.2558,190
23095.28.160.0/1995.28.160.1 to 95.28.191.25495.28.191.2558,190
23195.28.192.0/1995.28.192.1 to 95.28.223.25495.28.223.2558,190
23295.28.224.0/1995.28.224.1 to 95.28.255.25495.28.255.2558,190
23395.29.0.0/1995.29.0.1 to 95.29.31.25495.29.31.2558,190
23495.29.32.0/1995.29.32.1 to 95.29.63.25495.29.63.2558,190
23595.29.64.0/1995.29.64.1 to 95.29.95.25495.29.95.2558,190
23695.29.96.0/1995.29.96.1 to 95.29.127.25495.29.127.2558,190
23795.29.128.0/1995.29.128.1 to 95.29.159.25495.29.159.2558,190
23895.29.160.0/1995.29.160.1 to 95.29.191.25495.29.191.2558,190
23995.29.192.0/1995.29.192.1 to 95.29.223.25495.29.223.2558,190
24095.29.224.0/1995.29.224.1 to 95.29.255.25495.29.255.2558,190
24195.30.0.0/1995.30.0.1 to 95.30.31.25495.30.31.2558,190
24295.30.32.0/1995.30.32.1 to 95.30.63.25495.30.63.2558,190
24395.30.64.0/1995.30.64.1 to 95.30.95.25495.30.95.2558,190
24495.30.96.0/1995.30.96.1 to 95.30.127.25495.30.127.2558,190
24595.30.128.0/1995.30.128.1 to 95.30.159.25495.30.159.2558,190
24695.30.160.0/1995.30.160.1 to 95.30.191.25495.30.191.2558,190
24795.30.192.0/1995.30.192.1 to 95.30.223.25495.30.223.2558,190
24895.30.224.0/1995.30.224.1 to 95.30.255.25495.30.255.2558,190
24995.31.0.0/1995.31.0.1 to 95.31.31.25495.31.31.2558,190
25095.31.32.0/1995.31.32.1 to 95.31.63.25495.31.63.2558,190
25195.31.64.0/1995.31.64.1 to 95.31.95.25495.31.95.2558,190
25295.31.96.0/1995.31.96.1 to 95.31.127.25495.31.127.2558,190
25395.31.128.0/1995.31.128.1 to 95.31.159.25495.31.159.2558,190
25495.31.160.0/1995.31.160.1 to 95.31.191.25495.31.191.2558,190
25595.31.192.0/1995.31.192.1 to 95.31.223.25495.31.223.2558,190
25695.31.224.0/1995.31.224.1 to 95.31.255.25495.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses